<template>
  <v-container fluid>
    <v-row>
      <v-col cols='12' sm='6' md='4' v-for='item in bankDetails' :key='item.id'>
        <bank-details-card :bank-details='item' />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { BankDetailsResponse } from '@/api/ledius-token';
import { Prop } from 'vue-property-decorator';
import BankDetailsCard from './BankDetailsCard.vue';

@Component({
  components: {
    BankDetailsCard
  }
})
export default class BankDetailsList extends Vue {
  @Prop({
    required: true,
    type: Array
  })
  private readonly bankDetails!: BankDetailsResponse[];
}
</script>

<style scoped></style>
